Kirjoittaja Aihe: Päivittäminen 6.10 (Edgy Eft) -> 7.04 (Feisty Fawn) - ohjeet ja ongelmat tänne!  (Luettu 31992 kertaa)

Poor Edward

  • Vieras
Minulla loppujen lopuksi hoitu päivitys melko pienillä ongelmilla, jos olisin sitä ihmistyyppiä joka joskus nukkuukin olisin tuskin huomannut ongelmia, verkko lakkas toimimasta jonkun pöivityksen jälkeen ja kun ehdin tuskani toisella koneellani tänne sylkästä tuli päivitys ?? vaik muka ei yhteys pelannutkaan, sit lakkas kotiverkko toimimasta, siinä ilmenee eräitä kummallisuuksia mutta edellisestä oppineena,,, ootellaan. 6.06 olis varmaan niille jotka tarvii ihan oikeesti nettiä se oikee ratkasu, minulle jolle tämä on harrastus ja elvistelyn paikka, paripäivää ei paljoo töyssytä.
jep

AkuKalle

  • Käyttäjä
  • Viestejä: 211
    • Profiili
    • ict manuaali
Ongelma seuraavanlainen

kahden näytön työpöydässä päänäytöltä katsottu video ei näy lainkaan fullscreeninä ja ikkunassa se leikkaantuu pystysuorasti kahtia puolet kuvasta pimeänä. Kun soittimen siirtää kakkosruudelle homma toimii. Testattu totem ja mplayer. Tämä ilmeni Feistyn päivityksen jälkeen. Niin ja kun yksi näyttö vain käytössä niin silloinkin homma pelaa

Tässä xorgissa olevat tuplatyöpöytä jutut

Section "Device"
        Identifier  "ATI Technologies Inc R423 UK [Radeon X800SE (PCIE)]"
        Driver      "fglrx"
        Option      "DesktopSetup" "horizontal,reverse" #Enable Big Desktop
        Option      "EnablePrivateBackZ" "yes" #Enable 3d support <= May Not Work
        Option      "HSync2" "65" #This sets the horizontal sync for the secondary display.
        Option      "VRefresh2" "60" #This sets the refresh rate of the secondary display.
        Option      "VideoOverlay" "on"
        Option      "PairModes" "1440x900+1440x900,1440x900+1024x768"
        BusID       "PCI:1:0:0"
EndSection

pjotr

  • Käyttäjä
  • Viestejä: 625
    • Profiili
Ah tänään kaikki toimii niin kuin haluan... gdeskletit ja oikean hiiren näppäimen valikko toimii joka työpöydällä. Kun tuo Urmas vielä vinkkasi tuosta brightsidesta!

Tuosta feikkiläpinäkyvyyden muuttumisesta oikeaksi en sitten ole niin varma... kun jos on tumma taustakuva, läpinäkyvä pääte ja siinä valkea teksti ja avaa sen vaaleasävyisen ikkunan päälle...
www.tehotuotanto.net

The surest sign that intelligent life exists elsewhere in the Universe is that none of it has tried to contact us.

AkuKalle

  • Käyttäjä
  • Viestejä: 211
    • Profiili
    • ict manuaali
seuraavan rivin poisto auttoi ongelmaan

Option      "VideoOverlay" "on"

pasipasi

  • Käyttäjä
  • Viestejä: 15
  • Kubuntu Feisty
    • Profiili
Valehtelematta ois hankala sanoa päivityksen menneen ongelmitta, kun update-manager kosahti johonkin. Adeptia en yleensä käytä muutenkaan, ajattelimpa vain kokeilla. Komentoriviltä homma hoitui täysin ongelmitta, eikä mun rautasetillä ole ollut minkäänlaista hankaluutta Feistyn kanssa. Laitan kyllä hyvän tuurin piikkiin valtaosan :-)
chijin @ ircnet & freenode

peran

  • Vieras
Päivityksessä ollaan ilmeisestikin menty aimo harppaus eteenpäin, kun sain update-managerilla (tosin toisella yrittämällä) koneen toimimaan ilman ihmeempiä säätöjä.

Tässäpäs linkki edellisestä päivityksestäni Dapperista Edgyyn (Siis nyt päivitin saman koneen Edgystä Feistyyn).
http://forum.ubuntu-fi.org/index.php?topic=6286.0

Lyhyesti: update-manageri silloin sotki koko systeemin. Rompulta joutui päivittämään perusasetukset Dapperiin ja sitten siinä piti asentaa tulostin-ajurit ja päivittää siitä Edgy:yyn.

Nyt puolenvuoden jälkeen Edgyyn päivittäminen siis onnistui update-managerilla. Kaikki (siis tärkeimmät) ohjelmat näyttäisi toimivan.  :D :D :D

Törkki

  • Käyttäjä
  • Viestejä: 100
    • Profiili
Yritin päivittää Edgyn Feistyyn päivitystyökalulla ja tuli tämmöinen virheilmoitus:

"Failed to fetch http://packages.freecontrib.org/ubuntu/plf/dists/edgy-plf/Release.gpg Yhteyttä packages.freecontrib.org ei voitu muodostaa: 80 (88.191.33.6), yhteys aikakatkaistiin
Failed to fetch http://packages.freecontrib.org/ubuntu/plf/dists/edgy-plf/free/i18n/Translation-fi.bz2 Yhteyttä packages.freecontrib.org ei voitu muodostaa: 80 (88.191.33.6), yhteys aikakatkaistiin
Failed to fetch http://packages.freecontrib.org/ubuntu/plf/dists/edgy-plf/non-free/i18n/Translation-fi.bz2 Yhteyttä packages.freecontrib.org ei voitu muodostaa: 80 (88.191.33.6), yhteys aikakatkaistiin"

Liekö verkossa ruuhkaa, vai onko koneellani joku asetus väärin?

pjotr

  • Käyttäjä
  • Viestejä: 625
    • Profiili
Plf:n repot eivät enää ole toiminnassa. Korvaa ne medibuntulla:

Koodia: [Valitse]
## MEDIBUNTU REPOSITORY (Multimedia, Entertainment & Distractions In Ubuntu)
## Please report any bug on https://launchpad.net/products/medibuntu/+bugs
deb http://medibuntu.sos-sts.com/repo/ feisty free non-free
deb-src http://medibuntu.sos-sts.com/repo/ feisty free non-free
www.tehotuotanto.net

The surest sign that intelligent life exists elsewhere in the Universe is that none of it has tried to contact us.

kerma

  • Käyttäjä
  • Viestejä: 3
    • Profiili
Yritin päivittää edgystä feistyyn ja valittaa seuraavaa:

Tapahtui vakava virhe

Ilmoita tästä virheraportilla ja sisällytä siihen tiedostot /var/log/dist-upgrade/main.log ja /var/log/dist-upgrade/apt.log. Päivitys keskeytyy nyt.
Alkuperäinen sources.list tallennettiin nimellä /etc/apt/sources.list.distUpgrade.


Koodia: [Valitse]
File "/tmp/tmpzC1-D8/feisty", line 56, in ?
    app.run()

  File "/tmp/tmpzC1-D8/DistUpgradeControler.py", line 1025, in run
    self.fullUpgrade()

  File "/tmp/tmpzC1-D8/DistUpgradeControler.py", line 1000, in fullUpgrade
    if not self.askDistUpgrade():

  File "/tmp/tmpzC1-D8/DistUpgradeControler.py", line 595, in askDistUpgrade
    if not self.cache.distUpgrade(self._view, self.serverMode, self.logfd):

  File "/tmp/tmpzC1-D8/DistUpgradeCache.py", line 300, in distUpgrade
    if not self._installMetaPkgs(view):

  File "/tmp/tmpzC1-D8/DistUpgradeCache.py", line 446, in _installMetaPkgs
    self[key].markInstall()

  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 82, in __getitem__
    return self._dict[key]

KeyError: 'ubuntu-desktop'

zjukkis

  • Käyttäjä
  • Viestejä: 3
    • Profiili
Heittää tälläistä herjaa?!?!?!?

Kohdassa.
Muutetaan ohjelmalähteitä,

Virhe päivitettäessä.

Failed to fetch http://security.ubuntu.com/ubuntu/dists/feisty-security/main/binary-i386/Packages.bz2 Aliprosessi bzip2 palautti virhekoodin (2)
Failed to fetch http://security.ubuntu.com/ubuntu/dists/feisty-security/main/binary-i386/Packages.bz2 Aliprosessi bzip2 palautti virhekoodin (2)

ja siihen jymätää???

Juha127

  • Käyttäjä
  • Viestejä: 132
    • Profiili
    • Gimp Suomi
Ei sitten millään tykkää mennä päivitys läpi. Ongelmaksi iskeytyi apache2, jolle ei voi tehdä mitään, eikä mikään muukaan oikein voi siksi tehdä mitään. Elikkäs, tässä hieman aineistoa:
Koodia: [Valitse]
juha@kulmalas:/etc/apt$ sudo apt-get autoremove -f
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatietoja... Valmis       
Korjataan riippuvuuksia... Valmis
The following packages were automatically installed and are no longer required:
  vmware-player-kernel-modules-2.6.17-10 apache2-common gdm-themes fast-user-switch-applet libsdl-ttf2.0-0
Seuraavat ylimääräiset paketit on merkitty asennettaviksi:
  apache2-mpm-prefork apache2.2-common libaprutil1 libpq5 libsqlite3-0
Seuraavat paketit POISTETAAN:
  apache2-common fast-user-switch-applet gdm-themes libsdl-ttf2.0-0 vmware-player-kernel-modules-2.6.17-10
Seuraavat UUDET paketit asennetaan:
  apache2.2-common libaprutil1 libpq5
Nämä paketit päivitetään:
  apache2-mpm-prefork libsqlite3-0
2 päivitetty, 3 uutta asennusta, 5 poistettavaa ja 1320 päivittämätöntä.
7 ei asennettu kokonaan tai poistettiin.
Noudettavaa arkistoa 0t/1847kt.
Purkamisen jälkeen vapautuu 5448kt levytilaa.
Haluatko jatkaa [K/e]? K
dpkg: apache2-common: dependency problems, but removing anyway as you request:
 apache2-mpm-prefork depends on apache2-common (= 2.0.55-4ubuntu4).
(Reading database ... 170704 files and directories currently installed.)
Removing apache2-common ...
 * Stopping apache 2.0 web server...                                                                                  [fail]
invoke-rc.d: initscript apache2, action "stop" failed.
dpkg: error processing apache2-common (--remove):
 aliprosessi pre-removal script palautti virhetilakoodin 1
Errors were encountered while processing:
 apache2-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
Vaikuttaisi että aoache ei tykkää enään apache2-common paketista vaan tarvitsee apache2.2-common paketin, mutta ei toinen suostu poistumaan ja toinen asentumaan.

pulis

  • Käyttäjä
  • Viestejä: 242
    • Profiili
päivitin äsken edgyn feistyyn kovalevyn formatoiden.
uusi ubuntu on sekakielinen, suomea siellä ja englantia täällä.
feisty ei tunnuista että netti on kytketty verkkokortilla, vaan luulee
että se on emolevyn integroidussa verkkokortissa. tämä pitää käsin
vaihtaa joka kerta.
järjestelmä jumittuu hetken aikaa ohjelmien käynnistyksen jälkeen,
ainakin firefoxin ja evolutionin kanssa jota nyt ensin kokeilin...
taidanpa asentaa edgyn uudelleen

tsu

  • Käyttäjä
  • Viestejä: 2
    • Profiili
Edgyn päivittäminen Feistyyn ei onnistunutkaan, vaan tuloksena on seuraavaa:

http://users.tkk.fi/ksaarnia/feisty/1.jpg
http://users.tkk.fi/ksaarnia/feisty/2.jpg

Koneena HP NX9420 (C2D, X1600). Olen yrittänyt sekä puhdasta uutta asennusta, Edgyn päivittämistä että alternate-versiota. Mikä neuvoksi?

peran

  • Vieras
Ilmeisesti päivitys on onnistunut X-ää lukuunottamatta.

Mitähän sulla on tiedostossa /etc/X11/xorg.conf
tiedostossa.

Ainakin mikä on driver- ja mikä on koneesi näytönohjain. Nämä siis pitäisi sinun selvittää ennen ratkaisun hakemista.

Edit - sudo nano /etc/X11/xorg.conf:lla pystyt muokkaamaan ko. tiedostoa ja cat /etc/X11/xorg.conf pystyt tulostamaan xorg.conf:n sisällön. Ehkä vähän työlästä, mutta kuitenkin....
« Viimeksi muokattu: 21.04.07 - klo:00.11 kirjoittanut peran »

tsu

  • Käyttäjä
  • Viestejä: 2
    • Profiili
X1600 on näytönohjain niinkun jo sanoinkin. xorg.confiin en ole koskenut, puhdas asennus nyt kyseessä. Miten sitä pitäisi muuttaa?

peran

  • Vieras
Mä en kovin hyvin osaa ATIn kortteja asennella, mutta isot pojat ovat kertoneet että:

Todennäköisesti xorg.conf:ssa ajurina on ati, ehkä sen tilalle kannattaa laittaa radeon.

Tuskin tilanne enään siitä kuitenkaan pahenee, joten uskaltanet kokeilla. Radeonin tilalla voi kokeilla myös vesa, mutta siinä ei ole 3D-kilkkeitä, ja se on muutenkin hidas.

Elikkä sulla on jotain tällasta:
Koodia: [Valitse]
Section "Device"
        Identifier      "jotain"
        Driver          "ati"
        BusID           "PCI:1:0:0"
EndSection

Laita tällaista siis muuta vain ati
Koodia: [Valitse]
Section "Device"
        Identifier      "jotain"
        Driver          "radeon"
        BusID           "PCI:1:0:0"
EndSection

« Viimeksi muokattu: 21.04.07 - klo:00.43 kirjoittanut peran »

Tonde

  • Käyttäjä
  • Viestejä: 919
  • Feisty Fawn
    • Profiili
X1600 on näytönohjain niinkun jo sanoinkin. xorg.confiin en ole koskenut, puhdas asennus nyt kyseessä. Miten sitä pitäisi muuttaa?

Palauta graafisen tilan asetukset oletusarvoihin komentamalla päätteessä:
Koodia: [Valitse]
sudo dpkg-reconfigure --phigh xserver-xorgtämän komennon avulla voi itse valita näytön resoluution, joskus myös käytettävän näytönohjaimen


jos haluat säätää useampia asetuksia, komenna ilman tuota --phigh vipua
Koodia: [Valitse]
sudo dpkg-reconfigure xserver-xorgNyt joudut tosin säätämään näytön lisäksi näppäimistön ja hiiren, yms. asetuksia. Yleensä toimivan konfiguraation saa aikaan klikkailemalla epävarmat asetukset läpi valiten sen, minkä kone antaa oletuksena valittavaksi.
Heitä hyväsit hitaudelle. Asenna ubuntu!

aapo

  • Käyttäjä
  • Viestejä: 195
    • Profiili
Hiukan ohjeita:
Alkutilanne: Koneessa edgy ja fluxbuntu (tarkemmin sanottuna ubuntu minimal-asennus, johon erikseen haettu paketit X:lle ja fluxboxille).

Yritin tuolla update-manager -d
mutta kun se oli aikansa rullannut niin sain virheen että ei löydy mitään seuraavista paketeista
ubuntu-desktop, kubuntu-desktop, xubuntu-desktop, edubuntu-desktop yms.
Joten se ei osannut jatkaa kun ei tiennyt mikä *buntu oli kyseessä.

Luulen että serveri-päivityksessä voipi tulla tämä sama vastaan, joten kirjoitan nyt omista hyvistä kokemuksista.
Tuolta lontoonkieliseltä sivulta löyty pieni maininta päivityksestä, jos ei ole käytössä graafista.
Koodia: [Valitse]
sudo apt-get install update-manager-core
sudo do-release-upgrade
Tarkisti vielä kerran, että olenko nyt ihan varma. Tässä menee tovi, sitä ei voi keskeyttää ja koko järjestelmä menee uusiksi.

2 tuntia latas tavaraa ja päivitteli tietokantoja ja mitä se nyt tekeekin.
Lopuksi kysyi pari aika pahaa kysymystä liittyen siihen, että järjestelmässä on joitain conffi-tiedostoja, jotka se meinaa kirjoittaa yli. Vaihtoehdot 'ota käyttöön uusi' / 'säästä vanha' / 'vertaile eroja'

Tuo 'vertaile eroja' näyttää uuden ja vanhan diff-formaatissa. Jos se ei ole tuttu, niin lyhyesti sanottuna se näyttää rivin alkuun + (plusmerkki) niihin jotka tulisivat tiedostoon lisää, ja - (miinus) niihin jotka lähtevät pois. Rivit joiden alussa ei ole mitään, ovat vain sitä varten, että olisi helpompi tajuta kohta.

Melkeen kaikki mistä se ilmoitti, niin olivatkin minun itseni muokkaamia, joten säästin ne. Ne annoin pistää uusiksi, mitkä eivät näyttäneet tutuilta.


Lopuksi pyysi käynnistämään koneen uudestaan.

Kone käynnistyi ja tarkistin vielä
Koodia: [Valitse]
sudo apt-get update && sudo apt-get dist-upgrade
 sudo apt-get -f install
 sudo dpkg --configure -a

Ja noista mikään ei löytänyt mitään uutta.

Käynnistyminen oli hiukan erinäköinen ja joitain uusia varoituksia siinä vilahti, mutta kyllä tämä näyttäisi muuten ihan toimivalta järjestelmältä. (wlankaan ei tipahtanut käytöstä) 


tkodex

  • Käyttäjä
  • Viestejä: 41
    • Profiili
Itselläni sujui lähes ongelmitta. Mitä olen huomannut, niin
* (S)Voikko ei automaattisesti toiminut OpenOfficessa, vaan piti asentaa uudelleen
* Desktop-effect paketti piti asentaa käsin

Mitähän muuta Feistyn uutuuksista on jäänyt näkemättä? Missä se uusi tapa asentaa videokoodekkeja on?

Edit: Anteeksi meni Voikko ja Soikko sekaisin. Tarkoitin Voikkoa.
« Viimeksi muokattu: 22.04.07 - klo:22.03 kirjoittanut tkodex »

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
* Soikko ei automaattisesti toiminut OpenOfficessa, vaan piti asentaa uudelleen

Suomenkielinen language-pack-fi vetää mukanaan Voikon eli avoimen koodin oikolukijan (Soikkohan on suljettu vaikkakin vapaasti levitettävissä).

r
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-